Module | Tk::Scrollable
In: | tk/lib/tkextlib/tcllib/autoscroll.rb tk/lib/tk/scrollable.rb

### Methods

autoscroll unautoscroll

### Included Modules

X_Scrollable Y_Scrollable

### Public Instance methods

autoscroll(mode = nil)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 64
        def autoscroll(mode = nil)
          case mode
          when :x, 'x'
            if @xscrollbar
              Tk::Tcllib::Autoscroll.autoscroll(@xscrollbar)
            end
          when :y, 'y'
            if @yscrollbar
              Tk::Tcllib::Autoscroll.autoscroll(@yscrollbar)
            end
          when nil, :both, 'both'
            if @xscrollbar
              Tk::Tcllib::Autoscroll.autoscroll(@xscrollbar)
            end
            if @yscrollbar
              Tk::Tcllib::Autoscroll.autoscroll(@yscrollbar)
            end
          else
            fail ArgumentError, "'x', 'y' or 'both' (String or Symbol) is expected"
          end
          self
        end

unautoscroll(mode = nil)

[Source]

    # File tk/lib/tkextlib/tcllib/autoscroll.rb, line 86
        def unautoscroll(mode = nil)
          case mode
          when :x, 'x'
            if @xscrollbar
              Tk::Tcllib::Autoscroll.unautoscroll(@xscrollbar)
            end
          when :y, 'y'
            if @yscrollbar
              Tk::Tcllib::Autoscroll.unautoscroll(@yscrollbar)
            end
          when nil, :both, 'both'
            if @xscrollbar
              Tk::Tcllib::Autoscroll.unautoscroll(@xscrollbar)
            end
            if @yscrollbar
              Tk::Tcllib::Autoscroll.unautoscroll(@yscrollbar)
            end
          else
            fail ArgumentError, "'x', 'y' or 'both' (String or Symbol) is expected"
          end
          self
        end

[Validate]